Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class BroadcastRouteRow

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.routing.BroadcastRouteRow

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class BroadcastRouteRow

extends PRawMessage
implements java.io.Serializable

Broadcast message for a row from a routing table.

Version:
  $Id: BroadcastRouteRow.java 3507 2006-12-21 13:18:37Z jeffh $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`BroadcastRouteRow(java.util.Date stamp, NodeHandle from, RouteSet[] r)` Constructor.
`BroadcastRouteRow(InputBuffer buf, NodeHandleFactory nhf, PastryNode localNode)`
`BroadcastRouteRow(NodeHandle from, RouteSet[] r)` Constructor.

Method Summary
`NodeHandle` | `from()` Gets the from node.
`RouteSet[]` | `getRow()` Gets the row that was sent in the message.
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringFull()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### BroadcastRouteRow

    public BroadcastRouteRow(java.util.Date stamp,
                             NodeHandle from,
                             RouteSet[] r)

  Constructor.

  Parameters:
    `stamp` - the timestamp
    `from` - the node id
    `r` - the row

### BroadcastRouteRow

    public BroadcastRouteRow(NodeHandle from,
                             RouteSet[] r)

  Constructor.

  Parameters:
    `from` - the node id
    `r` - the row

### BroadcastRouteRow

    public BroadcastRouteRow(InputBuffer buf,
                             NodeHandleFactory nhf,
                             PastryNode localNode)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### from

    public NodeHandle from()

  Gets the from node.

  Returns:
    the from node.

### getRow

    public RouteSet[] getRow()

  Gets the row that was sent in the message.

  Returns:
    the row.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringFull

    public java.lang.String toStringFull()

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.